org.eclipse.zest.core.widgets

## Interface IContainer

All Known Implementing Classes:
  Graph, GraphContainer

    public interface IContainer

This interface describes all Zest components that are Containers. This is an internal interface and thus should not be used outside of Zest. Implementors of this interface must include the following two methods o addNode(GraphNode) o addNode(GraphContainer) These are not actually listed here because Java does not allow protected methods in interfaces.

### Method Summary

Methods
`void` `applyLayout()` Re-applies the current layout algorithm
`Graph` `getGraph()`
`int` `getItemType()`
`java.util.List` `getNodes()`
`void` `setLayoutAlgorithm(LayoutAlgorithm algorithm, boolean applyLayout)` Sets the LayoutAlgorithm for this container and optionally applies it.

### Method Detail

#### getGraph

    Graph getGraph()

#### getItemType

    int getItemType()

#### applyLayout

    void applyLayout()

Re-applies the current layout algorithm

#### setLayoutAlgorithm

    void setLayoutAlgorithm(LayoutAlgorithm algorithm,
                          boolean applyLayout)

Sets the LayoutAlgorithm for this container and optionally applies it.

Parameters:
  `algorithm` - The layout algorithm to set
  `applyLayout` -

#### getNodes

    java.util.List getNodes()